<!DOCTYPE html>
<html lang="en-US">
<head>
<meta charset="utf-8">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <link rel="preload" as="font" href="yuwen-ids721-project1.netlify.app/fonts/vendor/jost/jost-v4-latin-regular.woff2" type="font/woff2" crossorigin>
  <link rel="preload" as="font" href="yuwen-ids721-project1.netlify.app/fonts/vendor/jost/jost-v4-latin-700.woff2"  type="font/woff2" crossorigin>


<link rel="stylesheet" href="yuwen-ids721-project1.netlify.app/main.css">



  
  
    
  

  
  
    
    
  
  
  
    
  
  
  
  
    
  
  
  


  <meta name="robots" content="index, follow">
  <meta name="googlebot" content="index, follow, max-snippet:-1, max-image-preview:large, max-video-preview:-1">
  <meta name="bingbot" content="index, follow, max-snippet:-1, max-image-preview:large, max-video-preview:-1">


	


	

<title>Quick Start | Yuwen's Page</title>
<meta name="description" content="One page summary of how to start a similar AdiDoks project.">
<link rel="canonical" href="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/">


  <meta name="twitter:card" content="summary_large_image">
  
    <meta name="twitter:image" content="yuwen-ids721-project1.netlify.app/doks.png">
  
  <meta name="twitter:title" content="Quick Start">
  <meta name="twitter:description" content="One page summary of how to start a similar AdiDoks project.">
  <meta name="twitter:site" content="@aaranxu">
  <meta name="twitter:creator" content="@aaranxu">
  
  <meta property="og:title" content="Quick Start">
  <meta property="og:description" content="One page summary of how to start a similar AdiDoks project.">
  <meta property="og:type" content="article">
  <meta property="og:url" content="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/">

  
    <meta property="og:image" content="yuwen-ids721-project1.netlify.app/doks.png">
  

  <meta property="og:updated_time" content="2021-05-01T08:20:00+00:00">
  <meta property="og:site_name" content="Quick Start">

  

  

  
  <meta property="article:publisher" content="https://www.facebook.com/ichunyun">
  <meta property="article:author" content="https://www.facebook.com/ichunyun">
  <meta property="og:locale" content="en_US">





  





<script type="application/ld+json">
  {
    "@context": "http://schema.org",
    "@type": "BreadcrumbList",
    
      
      
        
        
        
        
        
        
        
        
          {
            "@type": "ListItem",
            "position":  1 ,
            "name": "Home",
            "item": "yuwen-ids721-project1.netlify.app://yuwen-ids721-project1.netlify.app/"
          },
          
          
          {
            "@type": "ListItem",
            "position":  2 ,
            "name": "Docs",
            "item": "yuwen-ids721-project1.netlify.app://yuwen-ids721-project1.netlify.app/docs/"
          },
        
      
        
        
        
        
        
        
        
        
        
        
        
          
          
          {
            "@type": "ListItem",
            "position":  3 ,
            "name": "Getting Started",
            "item": "yuwen-ids721-project1.netlify.app://yuwen-ids721-project1.netlify.app/docs/getting-started/"
          },
        
      
        
        
        
        
        
        
        
        
        
        
        
          
          
          {
            "@type": "ListItem",
            "position":  4 ,
            "name": "Quick Start",
            "item": "yuwen-ids721-project1.netlify.app://yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/"
          },
        
      
    
  }
</script>






  <meta name="theme-color" content="#fff">
  <link rel="apple-touch-icon" sizes="180x180" href="yuwen-ids721-project1.netlify.app/apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="yuwen-ids721-project1.netlify.app/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="yuwen-ids721-project1.netlify.app/favicon-16x16.png">
  


  

</head>

  

<body class="docs single">
  
  
  
  
<div class="header-bar fixed-top"></div>
<header class="navbar fixed-top navbar-expand-md navbar-light">
	<div class="container">
		<input class="menu-btn order-0" type="checkbox" id="menu-btn">
		<label class="menu-icon d-md-none" for="menu-btn"><span class="navicon"></span></label>
		<a class="navbar-brand order-1 order-md-0 me-auto" href="yuwen-ids721-project1.netlify.app">Yuwen&#x27;s Page</a>
		<button id="mode" class="btn btn-link order-2 order-md-4" type="button" aria-label="Toggle mode">
			<span class="toggle-dark"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-moon"><path d="M21 12.79A9 9 0 1 1 11.21 3 7 7 0 0 0 21 12.79z"></path></svg></span>
			<span class="toggle-light"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sun"><circle cx="12" cy="12" r="5"></circle><line x1="12" y1="1" x2="12" y2="3"></line><line x1="12" y1="21" x2="12" y2="23"></line><line x1="4.22" y1="4.22" x2="5.64" y2="5.64"></line><line x1="18.36" y1="18.36" x2="19.78" y2="19.78"></line><line x1="1" y1="12" x2="3" y2="12"></line><line x1="21" y1="12" x2="23" y2="12"></line><line x1="4.22" y1="19.78" x2="5.64" y2="18.36"></line><line x1="18.36" y1="5.64" x2="19.78" y2="4.22"></line></svg></span>
		</button>
		<ul class="navbar-nav fork-me order-3 order-md-5">
			
				
					<li class="nav-item">
						<a class="nav-link" href="https://twitter.com/aaranxu"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-twitter"><path d="M23 3a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 3 4s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5a4.5 4.5 0 0 0-.08-.83A7.72 7.72 0 0 0 23 3z"></path></svg><span class="ms-2 visually-hidden">Twitter</span></a>
					</li>
				
					<li class="nav-item">
						<a class="nav-link" href="https://github.com/aaranxu/adidoks"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-github"><path d="M9 19c-5 1.5-5-2.5-7-3m14 6v-3.87a3.37 3.37 0 0 0-.94-2.61c3.14-.35 6.44-1.54 6.44-7A5.44 5.44 0 0 0 20 4.77 5.07 5.07 0 0 0 19.91 1S18.73.65 16 2.48a13.38 13.38 0 0 0-7 0C6.27.65 5.09 1 5.09 1A5.07 5.07 0 0 0 5 4.77a5.44 5.44 0 0 0-1.5 3.78c0 5.42 3.3 6.61 6.44 7A3.37 3.37 0 0 0 9 18.13V22"></path></svg><span class="ms-2 visually-hidden">GitHub</span></a>
					</li>
				
			
		</ul>
		<div class="collapse navbar-collapse order-4 order-md-1">
			<ul class="navbar-nav main-nav me-auto order-5 order-md-2">
				
					
				
				
				
					
						<li class="nav-item docs active">
							<a class="nav-link" href="yuwen-ids721-project1.netlify.app/docs/getting-started/introduction/">Projects</a>
						</li>
					
						<li class="nav-item">
							<a class="nav-link" href="yuwen-ids721-project1.netlify.app/blog/">Blog</a>
						</li>
					
				
			</ul>
			<div class="break order-6 d-md-none"></div>
			
				<form class="navbar-form flex-grow-1 order-7 order-md-3">
					<input id="userinput" class="form-control is-search" type="search" placeholder="Search docs..."
						aria-label="Search docs..." autocomplete="off">
					<div id="suggestions" class="shadow bg-white rounded"></div>
				</form>
			
		</div>
	</div>
</header>



  
<div class="wrap container" role="document">
  <div class="content">
    <div class="row flex-xl-nowrap">
	  
<div class="col-lg-5 col-xl-4 docs-sidebar">
	<nav class="docs-links" aria-label="Main navigation">
			
			
			
			
					
					
					
							<h3>Getting Started</h3>
							<ul class="list-unstyled">
							                           
									<li><a class="docs-link" href="yuwen-ids721-project1.netlify.app/docs/getting-started/introduction/">Introduction</a></li>
							                           
									<li><a class="docs-link active" href="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/">Quick Start</a></li>
							
					</ul>
					
					
					
					
							<h3>Contributing</h3>
							<ul class="list-unstyled">
							                           
									<li><a class="docs-link" href="yuwen-ids721-project1.netlify.app/docs/contributing/how-to-contribute/">How to Contribute</a></li>
							                           
									<li><a class="docs-link" href="yuwen-ids721-project1.netlify.app/docs/contributing/code-of-conduct/">Code of Conduct</a></li>
							
					</ul>
					
					
					
					
							<h3>Help</h3>
							<ul class="list-unstyled">
							                           
									<li><a class="docs-link" href="yuwen-ids721-project1.netlify.app/docs/help/faq/">FAQ</a></li>
							
					</ul>
					
					
			
	</nav>
</div>

	  
  
  <nav class="docs-toc d-none d-xl-block col-xl-3" aria-label="Secondary navigation">
  	<div class="page-links">
  			<h3>On this page</h3>
  			<nav id="TableOfContents">
  					<ul>
  							
  							<li><a href="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/#requirements">Requirements</a></li>
  							
  							
  							<li><a href="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/#run-the-theme-directly">Run the Theme Directly</a></li>
  							
  							
  							<li><a href="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/#installation">Installation</a></li>
  							
  									<ul>
  											
  											<li><a href="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/#step-1-create-a-new-zola-site">Step 1: Create a new zola site</a></li>
  											
  											<li><a href="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/#step-2-install-adidoks">Step 2: Install AdiDoks</a></li>
  											
  											<li><a href="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/#step-3-configuration">Step 3: Configuration</a></li>
  											
  											<li><a href="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/#step-4-add-new-content">Step 4: Add new content</a></li>
  											
  											<li><a href="yuwen-ids721-project1.netlify.app/docs/getting-started/quick-start/#step-5-run-the-project">Step 5: Run the project</a></li>
  											
  									</ul>
  							
  							
  					</ul>
  			</nav>
  	</div>
  </nav>
  

      <main class="docs-content col-lg-11 col-xl-9">
        <h1>Quick Start</h1>
        <p class="lead">One page summary of how to start a new AdiDoks project.</p>
        <h2 id="requirements">Requirements</h2>
<p>Before using the theme, you need to install the <a href="https://www.getzola.org/documentation/getting-started/installation/">Zola</a> ≥ 0.15.0.</p>
<h2 id="run-the-theme-directly">Run the Theme Directly</h2>
<pre data-lang="bash" style="background-color:#2b303b;color:#c0c5ce;" class="language-bash "><code class="language-bash" data-lang="bash"><span style="color:#bf616a;">git</span><span> clone https://github.com/aaranxu/adidoks.git
</span><span style="color:#96b5b4;">cd</span><span> adidoks
</span><span style="color:#bf616a;">zola</span><span> serve
</span></code></pre>
<p>Visit <code>http://127.0.0.1:1111/</code> in the browser.</p>
<h2 id="installation">Installation</h2>
<p>Just earlier we showed you how to run the theme directly. Now we start to
install the theme in an existing site step by step.</p>
<h3 id="step-1-create-a-new-zola-site">Step 1: Create a new zola site</h3>
<pre data-lang="bash" style="background-color:#2b303b;color:#c0c5ce;" class="language-bash "><code class="language-bash" data-lang="bash"><span style="color:#bf616a;">zola</span><span> init mysite
</span></code></pre>
<h3 id="step-2-install-adidoks">Step 2: Install AdiDoks</h3>
<p>Download this theme to your themes directory:</p>
<pre data-lang="bash" style="background-color:#2b303b;color:#c0c5ce;" class="language-bash "><code class="language-bash" data-lang="bash"><span style="color:#96b5b4;">cd</span><span> mysite/themes
</span><span style="color:#bf616a;">git</span><span> clone https://github.com/aaranxu/adidoks.git
</span></code></pre>
<p>Or install as a submodule:</p>
<pre data-lang="bash" style="background-color:#2b303b;color:#c0c5ce;" class="language-bash "><code class="language-bash" data-lang="bash"><span style="color:#96b5b4;">cd</span><span> mysite
</span><span style="color:#bf616a;">git</span><span> init  </span><span style="color:#65737e;"># if your project is a git repository already, ignore this command
</span><span style="color:#bf616a;">git</span><span> submodule add https://github.com/aaranxu/adidoks.git themes/adidoks
</span></code></pre>
<h3 id="step-3-configuration">Step 3: Configuration</h3>
<p>Enable the theme in your <code>config.toml</code> in the site derectory:</p>
<pre data-lang="toml" style="background-color:#2b303b;color:#c0c5ce;" class="language-toml "><code class="language-toml" data-lang="toml"><span style="color:#bf616a;">theme </span><span>= &quot;</span><span style="color:#a3be8c;">adidoks</span><span>&quot;
</span></code></pre>
<p>Or copy the <code>config.toml.example</code> from the theme directory to your project's
root directory:</p>
<pre data-lang="bash" style="background-color:#2b303b;color:#c0c5ce;" class="language-bash "><code class="language-bash" data-lang="bash"><span style="color:#bf616a;">cp</span><span> themes/adidoks/config.toml.example config.toml
</span></code></pre>
<h3 id="step-4-add-new-content">Step 4: Add new content</h3>
<p>You can copy the content from the theme directory to your project:</p>
<pre data-lang="bash" style="background-color:#2b303b;color:#c0c5ce;" class="language-bash "><code class="language-bash" data-lang="bash"><span style="color:#bf616a;">cp -r</span><span> themes/adidoks/content .
</span></code></pre>
<p>You can modify or add new posts in the <code>content/blog</code>, <code>content/docs</code> or other
content directories as needed.</p>
<h3 id="step-5-run-the-project">Step 5: Run the project</h3>
<p>Just run <code>zola serve</code> in the root path of the project:</p>
<pre data-lang="bash" style="background-color:#2b303b;color:#c0c5ce;" class="language-bash "><code class="language-bash" data-lang="bash"><span style="color:#bf616a;">zola</span><span> serve
</span></code></pre>
<p>AdiDoks will start the Zola development web server accessible by default at 
<code>http://127.0.0.1:1111</code>. Saved changes will live reload in the browser.</p>

        
        
<div class="docs-navigation d-flex justify-content-between">
  
  
  
  
  
    
    
    
    
      
    
  

  
  
  
  
  
    
    
    
      
      
        
      
    
      
      
        
          
          
          <a class="ms-auto" href="yuwen-ids721-project1.netlify.app&#x2F;docs&#x2F;contributing&#x2F;how-to-contribute&#x2F;">
            <div class="card my-1">
              <div class="card-body py-2">
                How to Contribute &rarr;
              </div>
            </div>
          </a>
          
          
          
        
      
    
      
      
        
      
    
  
</div>

      </main>
    </div>
  </div>
</div>


  
    
<footer class="footer text-muted">
	<div class="container">
		<div class="row">
			<div class="col-lg-8 order-last order-lg-first">
				<ul class="list-inline">
					
						<li class="list-inline-item">Powered by <a href="https://www.netlify.com/">Netlify</a>, <a href="https://www.getzola.org/">Zola</a>, and <a href="https://github.com/aaranxu/adidoks">AdiDoks</a></li>
					
				</ul>
			</div>
			<div class="col-lg-8 order-first order-lg-last text-lg-end">
				<ul class="list-inline">
					
						
							<li class="list-inline-item"><a href="yuwen-ids721-project1.netlify.app/privacy-policy/">Privacy</a></li>
						
							<li class="list-inline-item"><a href="yuwen-ids721-project1.netlify.app/docs/contributing/code-of-conduct/">Code of Conduct</a></li>
						
					
				</ul>
			</div>
		</div>
	</div>
</footer>

  

  
<script type="text/javascript" src="yuwen-ids721-project1.netlify.app/js/main.js" defer></script>

  <script type="text/javascript" src="yuwen-ids721-project1.netlify.app/plugins/elasticlunr.min.js" defer></script>
  <script type="text/javascript" src="yuwen-ids721-project1.netlify.app/search_index.en.js" defer></script>
  <script type="text/javascript" src="yuwen-ids721-project1.netlify.app/js/search.js" defer></script>

  
</body>
</html>
